Subject: Re: bug#6187: 23.1; can't save: "Wrong type argument: number-of-marker-p, nil"

From: Glenn Morris <[email-masked]>
Date: Fri, 18 Jun 2010 14:58:18 -0400

[replying to off-list message]

Ryo Furue wrote (on Wed, 16 Jun 2010 at 22:46 -1000):

> 1. Open a new, empty file in your emacs on X Window;
> 2. Open the attached PDF file in Adobe Reader or something;
> 3. Select and copy the phrase "La Niña" on the first page of
>    the PDF file into your clipboard;
> 4. Paste it onto the emacs window; and
> 5. Try to save the file.
> 
> I've just reproduced the same error.  I'm on a Mac OS 10.5 (Leopard);
> my emacs is running on a remote Debian machine through X11-forwarding
> of SSH; I did steps 1--5 using the local Preview, a PDF viewer that
> comes with Mac OS.
> 
> I remember that this error didn't occur with "emacs -Q".  So,
> I'm attaching my emacs configuration files (.emacs just loads
> .emacs23.el).

Thanks, but I still cannot reproduce it.

Your .emacs loads several other files that I don't have.
To be honest, I don't really want to debug your .emacs.
It might be helpful if you could narrow down the minimum settings that
cause this to happen. The coding and language related ones are obvious
places to start. It is possible that this is not a useful thing for
you to do though. Maybe someone who knows about coding systems issues
(not me) could say more.

On the other hand maybe it is somehow Mac specific.